<ui:composition template="../template/template.xhtml"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:p="http://primefaces.org/ui"
    xmlns:ui="http://java.sun.com/jsf/facelets">

    <ui:define name="title">
        .:Registro de Usuarios :.
    </ui:define>


    <ui:define name="titlePages">
        <span>#{usuarioMB.tituloFormulario} </span>
    </ui:define>
    <ui:define name="urlNavegacion">
      <li class="active">Administración</li>
      <li>#{usuarioMB.tituloFormulario} </li>
      <li id="box-regresar" class="active pull-right">
          <h:form id="frmRegresar">
              <!-- icon ocultarImgIcon -->
                  <p:commandButton    value="Ir al listado" 
                                      icon="fa fa-angle-double-left" 
                                      styleClass="btnlink" 
                                      action="#{usuarioMB.listado}"
                                      ajax="false"/>                  
          </h:form>   
      </li>        
    </ui:define>

    <ui:define name="content">
    #{usuarioMB.validarSesion()}
        <div class="row">
                <h:form id="frmUsuario_registro">
                  <p:growl life="5000"  id="mensaje" showDetail="true" sticky="false" /> 
                    <div class="col-md-12">

                            <div class="row box-mb">

                                <div class="col-sm-4">
                                    <div class="form-group">
                                        <h:outputLabel for="txtUsuario" value="Usuario: " styleClass="control-label"/>
                                        <span class="style_requerido">*</span>
                                            <p:inputText 	id="txtUsuario"
                                                			value="#{usuarioMB.usuario.usuario}"
                                                			styleClass="form-control"
                                                			size="50"
                                                			onkeypress="return soloCaracteresValidos(event)"
                                                            maxlength="50"
                                                            readonly="#{usuarioMB.swDisableCampos}"
                                                			 />
                                            <p:watermark for="txtUsuario" value="Ingrese nombre de usuario" />
                                    </div>
                                </div>
                                
                                <div class="col-sm-6">
	                                    <div class="form-group expand_box">
	                                    	<div class="space-top-btn"></div>
	                                    	
	                                    		<p:commandButton 	value="Validar Usuario" 
                                    					icon="icon-search ocultarImgIcon" 
                                    					styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        style="margin-right: 0!important"
                                    					action="#{usuarioMB.validarActiveDirectory}"
                                    					rendered="#{usuarioMB.swBtnValidarUser}"
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					update="mensaje,frmUsuario_registro" 
                                    					ajax="true"/>
	                                    	
	                   <!--                           
	                                            <p:commandButton 	value="Validar Usuario"
	                                            		title="Validar usuario interno" 
                                    					styleClass="btn btn-primary btn-sensitive" 
                                    					action="#{usuarioMB.grabar}" 
                                    					update="mensaje"
                                    					icon="fa fa-floppy-o ocultarImgIcon" 
                                    					ajax="true"/>
                                    				 	
                                    				 
                                    			<p:commandButton 	value="Validar DNI" 
                                    					icon="icon-search ocultarImgIcon" 
                                    					styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        style="margin-right: 0!important"
                                    					action="#{usuarioMB.validarDNI}"
                                    					onclick="PF('statusDialog').show()"
                                                        oncomplete="PF('statusDialog').hide()" 
                                    					update="mensaje,txtNombreCompleto" 
                                    					ajax="true"/>		
	                   -->                          
	                                    </div>                                
                                </div>                                                                                       
                                                                                                 
                            </div>

                            <div class="row box-mb">
                                <div class="col-sm-12">
                                <div class="form-group">
                                	<h:outputLabel for="txtNombreCompleto" value="Nombre Completo: " styleClass="control-label"/>
                                	<span class="style_requerido">*</span>
                                    <div class="form-group expand_box">
            	                            <p:inputText 	id="txtNombreCompleto" 
            	                            				value="#{usuarioMB.usuario.nombreCompleto}"
            	                            				styleClass="form-control"
            	                            				size="120"
            	                            				onkeypress="return soloLetras(event)"
            	                            				maxlength="120"
            	                            				 />
            	                            
                                    </div>
                                    </div>
                                </div>

                            </div>

	<!-- 						
							<div class="row box-mb">
                            	<div class="col col-sm-4" >
                                	<div class="form-group">
                                	<h:outputLabel for="cboTipo" value="Tipo: " styleClass="control-label"/>
                                	<span class="style_requerido">*</span>
                                    <div class="form-group expand_box">
                                    
                                            <p:selectOneMenu 	id="cboTipo"
                                             					value="#{usuarioMB.usuario.tipo}"  
                                            					styleClass="form-control style-select"
                                            					onchange="PF('statusDialog').show()">
                                                <f:selectItem itemValue="0" itemLabel="Seleccione"/>
                                     	           <f:selectItems value="#{usuarioMB.lstT01TipoUsuario}"
                                                    var="tipoUsuario"
                                                    itemValue="#{tipoUsuario.codigoRegistro}"
                                                    itemLabel="#{tipoUsuario.nombreCorto}" />
                                                 <p:ajax 	event="change" 
			                                				update="pnlClave,mensaje" 
			                                				listener="#{usuarioMB.refrescarClave()}"
			                                				oncomplete="PF('statusDialog').hide()"/>
                                            </p:selectOneMenu>
                                            
                                    </div>
                                    </div>
                                </div>     
                       
                            </div>
    -->                         
    
						<div class="row box-mb">
<!-- 							
							<div class="col col-sm-4" >
                                	<div class="form-group">
	                                	<h:outputLabel for="txtDNI" value="DNI: " styleClass="control-label"/>
	                                	<span class="style_requerido">*</span>
	                                    <div class="form-group expand_box">
	            	                            <p:inputText 	id="txtDNI" 
	            	                            				value="#{usuarioMB.usuario.nroDNI}"
	            	                            				styleClass="form-control"
	            	                            				onkeypress="return onlyNumber(event)"
	            	                            				maxlength="8"/>
	            	                            <p:watermark for="txtDNI" value="Ingrese el DNI" />
	                                    </div>
                                    </div>
                                </div>
 -->							
							
                            	   

<!-- 
                                    	<h:outputLabel id="pnlClave" style="border:none;float:left;margin-bottom:0">
                                    	
                                    	<h:outputLabel id="pnlClaveInterno" rendered="#{usuarioMB.swClave}" styleClass="col-sm-12" style="border:none;margin-bottom:0;margin-right: 15px;">
		                                <div class="col-sm-1x2">
			                               <div class="form-group">	                                    
			                                    <h:outputLabel 	for="txtClave" 
			                                    				value="Clave: " 
			                                    				styleClass="control-label"/>
			                                    <span class="style_requerido">* <small style="font-weight: 300;">(Dejar en blanco para mantener la clave)</small></span>
			                                    <div class="form-group expand_box">
			                                            <p:password 	id="txtClave" 
			                                            				value="#{usuarioMB.usuario.clave}"
			                                            				styleClass="form-control"
			                                            				maxlength="15"
			                                            				 />
			                                            <p:watermark for="txtClave" value="Ingrese clave de usuario" />	                                            	                                           
			                                    </div>
		                                    </div>
		                                  </div>
                                      </h:outputLabel>
                                      
                                      <h:outputLabel id="lblValidarUsuario" rendered="#{!usuarioMB.swClave}" style="border:none">
	                                   
                                    

	                                    
                                      </h:outputLabel>
                                    </h:outputLabel>
 -->
                             	<div class="col col-sm-4" >
	                                <div class="form-group">
	                                <h:outputLabel for="txtCorreo" value="Correo Electrónico: " styleClass="control-label"/>
	                                <span class="style_requerido">*</span>
	                                    <div class="form-group expand_box">
	            	                            <p:inputText 	id="txtCorreo" 
	            	                            				value="#{usuarioMB.usuario.correo}"
	            	                            				styleClass="form-control"
	            	                            				size="50"
	            	                            				maxlength="50" >
	            	                            	
	            	                            </p:inputText>
	            	                           
	            	                            <p:watermark for="txtCorreo" value="Ingrese el correo" />
	                                 	</div>
	                                 </div>
                                </div>	
                                
                                <div class="col col-sm-4" >
                                	<div class="form-group">
	                                	<h:outputLabel for="cboPerfil" value="Perfil: " styleClass="control-label"/>
	                                	<span class="style_requerido">*</span>
	                                    <div class="form-group expand_box">
	                                            <p:selectOneMenu 	id="cboPerfil"
	                                             					value="#{usuarioMB.usuario.perfil.id}"  
	                                            					styleClass="form-control style-select">
	                                                <f:selectItem itemValue="0" itemLabel="Seleccione"/>
	                                                <f:selectItems value="#{usuarioMB.lstPerfil}"
	                                                    var="perfil"
	                                                    itemValue="#{perfil.id}"
	                                                    itemLabel="#{perfil.nombre}" />
	                                            </p:selectOneMenu>
                                    	</div>
                                    </div>
                                </div>
                                <div class="col col-sm-4" >
                                	<div class="form-group">
	                                	<h:outputLabel for="cboUnidadOrg" value="Unidad Orgánica: " styleClass="control-label"/>
	                                	<span class="style_requerido">*</span>
	                                    <div class="form-group expand_box">
	                                            <p:selectOneMenu 	id="cboUnidadOrg"
	                                             					value="#{usuarioMB.usuario.idUnidadOrganica}"  
	                                            					styleClass="form-control style-select">
	                                                <f:selectItem itemValue="0" itemLabel="Seleccione"/>
	                                                <f:selectItems value="#{usuarioMB.lstT01UnidadOrganica}"
	                                                    var="undOrg"
	                                                    itemValue="#{undOrg.codigoRegistro}"
	                                                    itemLabel="#{undOrg.nombreCorto}" />
	                                            </p:selectOneMenu>
                                    	</div>
                                    </div>
                                </div>
                                						
							</div>
							<br/>

                            <div class="row box-mb">
                                <div class="col-sm-12 text-right box-main-btn">
                                    
                                    <p:commandButton 	value="Grabar" 
                                    					styleClass="btn btn-primary btn-sensitive" 
                                    					action="#{usuarioMB.grabar}" 
                                    					rendered="#{usuarioMB.swBtnGrabar}"
                                    					update="mensaje"
                                    					icon="fa fa-floppy-o ocultarImgIcon" 
                                    					ajax="true"/>
                                    	
                                    <!--  <p:commandButton   id="cmdLimpiar"
                                                        actionListener="#{usuarioMB.limpiar}"
                                                        value="Limpiar"
                                                        ajax="false"
                                                        styleClass="btn btn-default btn-sensitive btn-buscar"
                                                        icon="fa fa-eraser ocultarImgIcon"
                                                         /> -->	

                                </div>
                            </div>

                    </div>
                    
				 <p:dialog widgetVar="statusDialog" modal="true" draggable="false" closable="false" resizable="false" showHeader="false">
    				<p:graphicImage value="../resources/img/loadingbar.gif" />
				</p:dialog>
                
                </h:form>
        </div>
    </ui:define>

</ui:composition>
